import * as core from "@terrascript/core";

export interface AuthenticationProfileArgs extends core.ResourceArgs {
  authenticationProfileContent: string | core.StringOut;

  authenticationProfileName: string | core.StringOut;
}

export class AuthenticationProfile extends core.Resource<AuthenticationProfileArgs> {
  @core.attr(String)
  public authenticationProfileContent!: string | core.StringOut;

  @core.attr(String)
  public authenticationProfileName!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: AuthenticationProfileArgs) {
    super(name, "aws_redshift_authentication_profile", args);
  }

  public override getNamespace(): string {
    return "aws_redshift";
  }
}
